# Uses of Class
java.util.logging.LogRecord

Packages that use LogRecord
Package
Description
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.

## Uses of LogRecord in java.util.logging

Methods in java.util.logging that return LogRecord
Modifier and Type
Method
Description
`LogRecord`
LogRecord.`setLongThreadID​(long longThreadID)`
Set an identifier for the thread where the message originated.
Methods in java.util.logging with parameters of type LogRecord
Modifier and Type
Method
Description
`abstract String`
Formatter.`format​(LogRecord record)`
Format the given log record and return the formatted string.
`String`
SimpleFormatter.`format​(LogRecord record)`
Format the given LogRecord.
`String`
XMLFormatter.`format​(LogRecord record)`
Format the given message to XML.
`String`
Formatter.`formatMessage​(LogRecord record)`
Localize and format the message string from a log record.
`boolean`
Filter.`isLoggable​(LogRecord record)`
Check if a given log record should be published.
`boolean`
Handler.`isLoggable​(LogRecord record)`
Check if this `Handler` would actually log a given `LogRecord`.
`boolean`
MemoryHandler.`isLoggable​(LogRecord record)`
Check if this `Handler` would actually log a given `LogRecord` into its internal buffer.
`boolean`
StreamHandler.`isLoggable​(LogRecord record)`
Check if this `Handler` would actually log a given `LogRecord`.
`void`
Logger.`log​(LogRecord record)`
Log a LogRecord.
`void`
ConsoleHandler.`publish​(LogRecord record)`
Publish a `LogRecord`.
`void`
FileHandler.`publish​(LogRecord record)`
Format and publish a `LogRecord`.
`abstract void`
Handler.`publish​(LogRecord record)`
Publish a `LogRecord`.
`void`
MemoryHandler.`publish​(LogRecord record)`
Store a `LogRecord` in an internal buffer.
`void`
SocketHandler.`publish​(LogRecord record)`
Format and publish a `LogRecord`.
`void`
StreamHandler.`publish​(LogRecord record)`
Format and publish a `LogRecord`.